hu.akarnokd.rxjava2.joins

## Class Plan<R>

- java.lang.Object
- - hu.akarnokd.rxjava2.joins.Plan<R>

Type Parameters:
  `R` - the result type

    public abstract class Plan<R>
    extends java.lang.Object

Represents an execution plan for join patterns.

### Constructor Summary

Constructors
Constructor and Description
`Plan()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static <T> io.reactivex.functions.Consumer<java.lang.Throwable>` `onErrorFrom(io.reactivex.Observer<T> observer)` Extracts a method reference to the Observer's `onError` method in the form of an `Consumer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Plan

    public Plan()

### Method Detail

#### onErrorFrom

    protected static <T> io.reactivex.functions.Consumer<java.lang.Throwable> onErrorFrom(io.reactivex.Observer<T> observer)

Extracts a method reference to the Observer's `onError` method in the form of an `Consumer`.

Java 8: observer::onError

Parameters:
  `observer` - the `Observer` to use
Returns:
  an action which calls observer's `onError` method.